<!DOCTYPE html>
<html class="writer-html5" lang="en" >
<head>
  <meta charset="utf-8" /><meta name="generator" content="Docutils 0.18.1: http://docutils.sourceforge.net/" />

  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <title>Onboarding Data &mdash; 4PointX Documentation 1.0 documentation</title>
      <link rel="stylesheet" href="../../../../_static/pygments.css" type="text/css" />
      <link rel="stylesheet" href="../../../../_static/css/theme.css" type="text/css" />
      <link rel="stylesheet" href="../../../../_static/css/custom.css" type="text/css" />
  <!--[if lt IE 9]>
    <script src="../../../../_static/js/html5shiv.min.js"></script>
  <![endif]-->
  
        <script data-url_root="../../../../" id="documentation_options" src="../../../../_static/documentation_options.js"></script>
        <script src="../../../../_static/doctools.js"></script>
        <script src="../../../../_static/sphinx_highlight.js"></script>
    <script src="../../../../_static/js/theme.js"></script>
    <link rel="index" title="Index" href="../../../../genindex.html" />
    <link rel="search" title="Search" href="../../../../search.html" />
    <link rel="next" title="Alerting" href="../../../alerting/index.html" />
    <link rel="prev" title="Data Pipelines" href="../index.html" /> 
</head>

<body class="wy-body-for-nav"> 
  <div class="wy-grid-for-nav">
    <nav data-toggle="wy-nav-shift" class="wy-nav-side">
      <div class="wy-side-scroll">
        <div class="wy-side-nav-search" >

          
          
          <a href="../../../../index.html" class="icon icon-home">
            4PointX Documentation
          </a>
<div role="search">
  <form id="rtd-search-form" class="wy-form" action="../../../../search.html" method="get">
    <input type="text" name="q" placeholder="Search docs" aria-label="Search docs" />
    <input type="hidden" name="check_keywords" value="yes" />
    <input type="hidden" name="area" value="default" />
  </form>
</div>
        </div><div class="wy-menu wy-menu-vertical" data-spy="affix" role="navigation" aria-label="Navigation menu">
              <ul class="current">
<li class="toctree-l1 current"><a class="reference internal" href="../../../index.html">User Docs</a><ul class="current">
<li class="toctree-l2"><a class="reference internal" href="../../../condition_monitoring/index.html">Condition Monitoring</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../condition_monitoring/index.html#id1">Condition Monitoring</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../condition_monitoring/summary/index.html">Summary</a><ul class="simple">
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../../condition_monitoring/asset_health_dashboard/index.html">Asset Health Dashboard</a><ul class="simple">
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../../condition_monitoring/real_time_monitoring/index.html">Real-time Monitoring</a><ul class="simple">
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../../condition_monitoring/process_correlation/index.html">Process Correlation</a><ul class="simple">
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../../condition_monitoring/fault_diagnostics/index.html">Fault Diagnostics</a><ul class="simple">
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/index.html">Other Info - CM</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html">Competitor Solutions - CM</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#teco-group">Teco Group</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#infinite-uptime">Infinite Uptime</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#web-app">Web App</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#sensor-manual">Sensor Manual</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#api-documentation">API Documentation</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#rs-485-modbus-specs">RS-485/ Modbus Specs</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#dashboard">Dashboard</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#gd-folder">GD Folder</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#datakrew">DataKrew</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#sample-cases">Sample Cases</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#case-1">Case 1</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#diagnostics">Diagnostics</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#detailed-report-attached">Detailed report attached</a></li>
</ul>
</li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#case-2">Case 2</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#id1">Diagnostics</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#id2">Detailed report attached</a></li>
</ul>
</li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#bk-vibro">BK Vibro</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#gantner-instruments">Gantner Instruments</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#vibro-meter">Vibro-meter</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#omnidots">Omnidots</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#rokade-rototechniks">Rokade Rototechniks</a></li>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/competitor_solutions_cm/index.html#cmtechnologies">cmtechnologies</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/articles_and_blogs_cm/index.html">Articles and Blogs - CM</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../../condition_monitoring/other_info_cm/articles_and_blogs_cm/index.html#treatment-for-machine-vibration-problems">Treatment for Machine Vibration Problems</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../process_anomaly/index.html">Process Anomaly</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../process_anomaly/asset_anomalies/index.html">Asset Anomalies</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../process_anomaly/process_anomalies/index.html">Process Anomalies</a><ul class="simple">
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../process_anomaly/other_info_anomaly/index.html">Other Info - Anomaly</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../process_anomaly/other_info_anomaly/competitor_solutions_anomaly/index.html">Competitor Solutions - Anomaly</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../../process_anomaly/other_info_anomaly/competitor_solutions_anomaly/index.html#sparkcognition">SparkCognition</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../../process_anomaly/other_info_anomaly/digital_twin_articles/index.html">Digital Twin articles</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../energy_monitoring/index.html">Energy Monitoring</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../energy_monitoring/other_info_ems/index.html">Other Info - EMS</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../energy_monitoring/other_info_ems/articles_references_ems/index.html">Articles &amp; References - EMS</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../../energy_monitoring/other_info_ems/articles_references_ems/index.html#power-meters">Power Meters</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../../energy_monitoring/other_info_ems/articles_references_ems/index.html#oem-vendors">OEM Vendors</a></li>
<li class="toctree-l5"><a class="reference internal" href="../../../energy_monitoring/other_info_ems/articles_references_ems/index.html#articles">Articles</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../../energy_monitoring/other_info_ems/articles_references_ems/index.html#things-you-should-consider-when-choosing-a-power-meter">3 Things You Should Consider When Choosing a Power Meter</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2 current"><a class="reference internal" href="../../index.html">Configuration</a><ul class="current">
<li class="toctree-l3 current"><a class="reference internal" href="../index.html">Data Pipelines</a><ul class="current">
<li class="toctree-l4 current"><a class="current reference internal" href="#">Onboarding Data</a><ul>
<li class="toctree-l5"><a class="reference internal" href="#edge-iot-gateway">Edge IoT Gateway</a></li>
<li class="toctree-l5"><a class="reference internal" href="#file">File</a><ul>
<li class="toctree-l6"><a class="reference internal" href="#steps-to-onboard-data-from-file">Steps to onboard data from File</a></li>
<li class="toctree-l6"><a class="reference internal" href="#installing-logstash">Installing Logstash</a><ul>
<li class="toctree-l7"><a class="reference internal" href="#centos">CentOS</a></li>
</ul>
</li>
<li class="toctree-l6"><a class="reference internal" href="#testing-transformed-data">Testing Transformed Data</a></li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="#opc-ua">OPC-UA</a></li>
<li class="toctree-l5"><a class="reference internal" href="#modbus-rtu">Modbus RTU</a></li>
<li class="toctree-l5"><a class="reference internal" href="#modbus-tcp">Modbus TCP</a></li>
<li class="toctree-l5"><a class="reference internal" href="#analog">Analog</a></li>
<li class="toctree-l5"><a class="reference internal" href="#third-party-apps">Third-Party Apps</a></li>
<li class="toctree-l5"><a class="reference internal" href="#infinite-uptime">Infinite Uptime</a></li>
<li class="toctree-l5"><a class="reference internal" href="#cimcon-digital">CimCon Digital</a></li>
<li class="toctree-l5"><a class="reference internal" href="#cloud">Cloud</a></li>
<li class="toctree-l5"><a class="reference internal" href="#aws-s3">AWS S3</a></li>
<li class="toctree-l5"><a class="reference internal" href="#google-cloud-storage">Google Cloud Storage</a></li>
<li class="toctree-l5"><a class="reference internal" href="#azure-data-lake">Azure Data Lake</a></li>
<li class="toctree-l5"><a class="reference internal" href="#related-articles">Related articles</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../alerting/index.html">Alerting</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/index.html">Alerts using Open Distro</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/index.html#installation-instructions">Installation Instructions</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/index.html#test-case-steps">Test Case Steps:</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/index.html#creating-a-simple-threshold-alert">Creating a simple threshold alert:</a></li>
</ul>
</li>
<li class="toctree-l4"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/index.html#related-articles">Related articles</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html">Create a monitor for alerting</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#instructions">Instructions</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#set-up-your-destination">Set Up Your Destination</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#set-up-a-monitor">Set Up a Monitor</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#create-a-trigger">Create a Trigger</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#configure-actions">Configure Actions</a></li>
</ul>
</li>
<li class="toctree-l6"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/create_a_monitor_for_alerting/index.html#related-articles">Related articles</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html">Create custom monitor for alerting</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html#instructions">Instructions</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html#set-up-your-destination">Set Up Your Destination</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html#set-up-a-monitor">Set Up a Monitor</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html#create-a-trigger">Create a Trigger</a></li>
<li class="toctree-l7"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/create_custom_monitor_for_alerting/index.html#configure-actions">Configure Actions</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l5"><a class="reference internal" href="../../../alerting/alerts_using_open_distro/how_to_add_a_mobile_number_to_an_existing_user_profile/index.html">How to add a mobile number to an existing user profile</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../alerting/alerting_learnings/index.html">Alerting - Learnings</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../notebooks/index.html">Notebooks</a><ul class="simple">
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../dashboards/index.html">Dashboards</a><ul class="simple">
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../4pointx_edge/index.html">4PointX Edge</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../4pointx_edge/index.html#purpose">Purpose</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../../4pointx_edge/index.html#data-pipeline-scenarios">Data Pipeline Scenarios</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../../4pointx_edge/index.html#hardware-specifications">Hardware Specifications</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../../4pointx_edge/index.html#pre-installed-software">Pre-installed Software</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../4pointx_iiot_gateway/index.html">4PointX IIoT Gateway</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../4pointx_iiot_gateway/index.html#purpose">Purpose</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../../4pointx_iiot_gateway/index.html#hardware-specifications">Hardware Specifications</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../../4pointx_iiot_gateway/index.html#ruggedboard">RuggedBoard</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../../4pointx_iiot_gateway/index.html#phyboard-regor">PhyBoard Regor</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../../4pointx_iiot_gateway/index.html#pre-installed-software">Pre-installed Software</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../../4pointx_iiot_gateway/index.html#oem-partners">OEM Partners</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../../4pointx_iiot_gateway/index.html#references">References</a><ul class="simple">
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../ai_monitors/index.html">AI Monitors</a><ul class="simple">
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../user_management/index.html">User Management</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../user_management/security_rbac/index.html">Security - RBAC</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../user_management/security_rbac/index.html#roles">Roles</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../user_management/security_rbac/index.html#plant-viewer">Plant Viewer</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../user_management/security_rbac/index.html#plant-analyst">Plant Analyst</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../user_management/security_rbac/index.html#plant-admin">Plant Admin</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../user_management/security_rbac/index.html#site-admin">Site Admin</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../partners/index.html">Partners</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../partners/oem_partners/index.html">OEM Partners</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../partners/oem_partners/index.html#hardware-partners">Hardware Partners</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../partners/oem_partners/index.html#other-info">Other Info</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../partners/oem_partners/index.html#tecom">Tecom</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../partners/oem_partners/index.html#durham-instruments">Durham Instruments</a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../partners/oem_partners/index.html#converters">Converters</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../test_page_for_sphinix_converter/index.html">Test page for sphinix converter</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../test_page_for_sphinix_converter/index.html#header-2">Header 2</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../test_page_for_sphinix_converter/index.html#header-3">Header 3</a><ul>
<li class="toctree-l5"><a class="reference internal" href="../../../test_page_for_sphinix_converter/index.html#header-4">Header 4</a><ul>
<li class="toctree-l6"><a class="reference internal" href="../../../test_page_for_sphinix_converter/index.html#header-5">Header 5</a><ul>
<li class="toctree-l7"><a class="reference internal" href="../../../test_page_for_sphinix_converter/index.html#header-6">Header 6</a><ul class="simple">
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l1"><a class="reference internal" href="../../../../API/index.html">API</a><ul>
<li class="toctree-l2"><a class="reference internal" href="../../../../API/Configuration/index.html">Configuration</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Configuration/assets.html"><strong>Assets</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/assets.html#create-asset"><strong>Create Asset</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/assets.html#delete-asset"><strong>Delete Asset</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/assets.html#update-asset"><strong>Update Asset</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/assets.html#fetch-asset"><strong>Fetch Asset</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/assets.html#fetch-list-of-assets"><strong>Fetch List of Assets</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/assets.html#get-count-of-assets"><strong>Get Count of Assets</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Configuration/devices.html">Devices</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/devices.html#register-device"><strong>Register Device</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/devices.html#unregister-device"><strong>Unregister Device</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/devices.html#change-device-s-registration"><strong>Change Device's registration</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/devices.html#fetch-device"><strong>Fetch Device</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/devices.html#fetch-list-of-devices"><strong>Fetch List of Devices</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/devices.html#get-count-of-devices"><strong>Get Count of Devices</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Configuration/functions.html">Functions</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/functions.html#create-function"><strong>Create Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/functions.html#delete-function"><strong>Delete Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/functions.html#update-a-function"><strong>Update a Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/functions.html#fetch-details-of-a-function"><strong>Fetch Details of a Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/functions.html#fetch-list-of-functions"><strong>Fetch List of Functions</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Configuration/monitors.html">Monitors</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/monitors.html#create-monitor"><strong>Create Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/monitors.html#delete-monitor"><strong>Delete Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/monitors.html#update-monitor"><strong>Update Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/monitors.html#fetch-monitor"><strong>Fetch Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/monitors.html#fetch-list-of-monitors"><strong>Fetch List of Monitors</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/monitors.html#get-count-of-monitors"><strong>Get Count of Monitors</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Configuration/plants.html">Plants</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/plants.html#create-plant"><strong>Create Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/plants.html#delete-plant"><strong>Delete Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/plants.html#update-plant"><strong>Update Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/plants.html#fetch-plant"><strong>Fetch Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/plants.html#fetch-list-of-plants"><strong>Fetch List of Plants</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Configuration/pipelines.html">Pipelines</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/pipelines.html#start-pipeline"><strong>Start Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/pipelines.html#stop-pipeline"><strong>Stop Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/pipelines.html#fetch-pipelines-list"><strong>Fetch Pipelines List</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/pipelines.html#fetch-pipelines-count"><strong>Fetch Pipelines Count</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Configuration/pipelines_edge.html">Pipelines Edge</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/pipelines_edge.html#create-edge-server-pipeline"><strong>Create Edge Server Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/pipelines_edge.html#delete-edge-server-pipeline"><strong>Delete Edge Server Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/pipelines_edge.html#update-edge-server-pipeline"><strong>Update Edge Server Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/pipelines_edge.html#fetch-edge-server-pipeline"><strong>Fetch Edge Server Pipeline</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Configuration/pipelines_IU.html">Pipelines IU</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/pipelines_IU.html#create-an-iu-pipeline"><strong>Create an IU Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/pipelines_IU.html#delete-an-iu-pipeline"><strong>Delete an IU Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/pipelines_IU.html#update-an-iu-pipeline"><strong>Update an IU Pipeline</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/pipelines_IU.html#fetch-an-iu-pipeline"><strong>Fetch an IU Pipeline</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Configuration/sites.html">Sites</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/sites.html#create-site"><strong>Create Site</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/sites.html#delete-site"><strong>Delete Site</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/sites.html#update-site"><strong>Update Site</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/sites.html#fetch-details-of-a-site"><strong>Fetch details of a Site</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/sites.html#fetch-list-of-sites"><strong>Fetch List of Sites</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Configuration/samples.html">Samples</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/samples.html#get-trend-of-sample"><strong>Get Trend of Sample</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/samples.html#fetch-count-of-sample"><strong>Fetch Count of Sample</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Configuration/tags.html">Tags</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/tags.html#fetch-list-of-tags"><strong>Fetch List of Tags</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Configuration/tags.html#fetch-count-of-tags"><strong>Fetch Count of Tags</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../../API/EMS/index.html">EMS</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/EMS/ems_asset.html">EMS Asset</a></li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/EMS/ems_benchmarking.html">EMS Benchmarking</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/EMS/ems_benchmarking.html#fetch-energy-consumption-table-for-plant"><strong>Fetch Energy Consumption Table for Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/EMS/ems_benchmarking.html#fetch-list-of-production-specs-for-plant"><strong>Fetch list of Production specs for Plant</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/EMS/ems_function.html">EMS Function</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/EMS/ems_function.html#fetch-energy-metrics-for-function"><strong>Fetch Energy Metrics for Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/EMS/ems_function.html#fetch-energy-metrics-for-functions-in-plant"><strong>Fetch Energy Metrics for Functions in Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/EMS/ems_function.html#fetch-energy-metric-trend-for-function"><strong>Fetch Energy Metric Trend for Function</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/EMS/ems_monitor.html">EMS Monitor</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/EMS/ems_monitor.html#fetch-energy-metrics-for-monitor"><strong>Fetch Energy Metrics for Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/EMS/ems_monitor.html#fetch-energy-metrics-monitors-in-plant-or-function"><strong>Fetch Energy Metrics Monitors in Plant or Function</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/EMS/ems_monitor.html#fetch-energy-metric-trend-for-monitor"><strong>Fetch Energy Metric trend for Monitor</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/EMS/ems_plant.html">EMS Plant</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/EMS/ems_plant.html#fetch-energy-metrics-for-plant"><strong>Fetch Energy Metrics for Plant</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/EMS/ems_plant.html#fetch-energy-metric-trend-for-plant"><strong>Fetch Energy Metric trend for Plant</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../../API/Notebooks/index.html">Notebooks</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Notebooks/notebooks.html">Notebook APIs</a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Notebooks/notebooks.html#create-notebook"><strong>Create Notebook</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Notebooks/notebooks.html#delete-notebooks"><strong>Delete Notebooks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Notebooks/notebooks.html#rename-a-notebook"><strong>Rename a notebook</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Notebooks/notebooks.html#fetch-notebook"><strong>Fetch Notebook</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Notebooks/notebooks.html#fetch-list-of-notebooks"><strong>Fetch List of Notebooks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Notebooks/notebooks.html#fetch-count-of-notebooks"><strong>Fetch Count of Notebooks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Notebooks/notebooks.html#run-notebooks"><strong>Run Notebooks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Notebooks/notebooks.html#schedule-notebooks"><strong>Schedule Notebooks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Notebooks/notebooks.html#unschedule-notebooks"><strong>Unschedule Notebooks</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../../API/Alerting/index.html">Alerting</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Alerting/alerts.html"><strong>Alert APIs</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Alerting/alerts.html#alerts-count"><strong>Alerts Count</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Alerting/alerts.html#fetch-alerts-details"><strong>Fetch Alerts Details</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Alerting/alerts.html#get-trend-of-alerts"><strong>Get Trend of Alerts</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Alerting/watchers.html"><strong>Watcher APIs</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Alerting/watchers.html#count-watchers"><strong>Count Watchers</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Alerting/watchers.html#fetch-list-of-watchers"><strong>Fetch List of Watchers</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Alerting/watchers.html#fetch-watcher-details"><strong>Fetch Watcher Details</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Alerting/watchers.html#create-a-new-watcher"><strong>Create A New Watcher</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Alerting/watchers.html#update-watcher-details"><strong>Update Watcher Details</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Alerting/watchers.html#delete-watcher"><strong>Delete Watcher</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../../API/User_Management/index.html">User Management</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/User_Management/user_management.html"><strong>User Management APIs</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/User_Management/user_management.html#create-a-new-user"><strong>Create a New User</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/User_Management/user_management.html#fetch-user-details"><strong>Fetch User Details</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/User_Management/user_management.html#updating-the-existing-user"><strong>Updating The Existing User</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/User_Management/user_management.html#deleting-the-user"><strong>Deleting the user</strong></a></li>
</ul>
</li>
</ul>
</li>
<li class="toctree-l2"><a class="reference internal" href="../../../../API/Condition_Monitoring/index.html">Condition Monitoring</a><ul>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Condition_Monitoring/cm_assets.html"><strong>CM Assets</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Condition_Monitoring/cm_assets.html#cm-assets-list"><strong>CM Assets List</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Condition_Monitoring/cm_assets.html#cm-faults-and-status-count">CM Faults and Status Count</a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Condition_Monitoring/cm_faults.html"><strong>CM Faults</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Condition_Monitoring/cm_faults.html#cm-fault-s-status"><strong>CM Fault’s Status</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Condition_Monitoring/cm_monitors.html"><strong>CM Monitors</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Condition_Monitoring/cm_monitors.html#cm-monitor"><strong>CM Monitor</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Condition_Monitoring/cm_monitors.html#cm-monitors-list"><strong>CM Monitors List</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Condition_Monitoring/cm_monitors.html#cm-monitors-trend"><strong>CM Monitors Trend</strong></a></li>
</ul>
</li>
<li class="toctree-l3"><a class="reference internal" href="../../../../API/Condition_Monitoring/cm_fft.html"><strong>CM FFT</strong></a><ul>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Condition_Monitoring/cm_fft.html#cm-fft-peaks"><strong>CM FFT Peaks</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Condition_Monitoring/cm_fft.html#cm-asset-fault-summary"><strong>CM Asset Fault Summary</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Condition_Monitoring/cm_fft.html#cm-fft-spectrum"><strong>CM FFT Spectrum</strong></a></li>
<li class="toctree-l4"><a class="reference internal" href="../../../../API/Condition_Monitoring/cm_fft.html#cm-fft-spectrum-timestamps"><strong>CM FFT Spectrum Timestamps</strong></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>

        </div>
      </div>
    </nav>

    <section data-toggle="wy-nav-shift" class="wy-nav-content-wrap"><nav class="wy-nav-top" aria-label="Mobile navigation menu" >
          <i data-toggle="wy-nav-top" class="fa fa-bars"></i>
          <a href="../../../../index.html">4PointX Documentation</a>
      </nav>

      <div class="wy-nav-content">
        <div class="rst-content">
          <div role="navigation" aria-label="Page navigation">
  <ul class="wy-breadcrumbs">
      <li><a href="../../../../index.html" class="icon icon-home" aria-label="Home"></a></li>
          <li class="breadcrumb-item"><a href="../../../index.html">User Docs</a></li>
          <li class="breadcrumb-item"><a href="../../index.html">Configuration</a></li>
          <li class="breadcrumb-item"><a href="../index.html">Data Pipelines</a></li>
      <li class="breadcrumb-item active">Onboarding Data</li>
      <li class="wy-breadcrumbs-aside">
            <a href="../../../../_sources/user_docs/configuration/data_pipelines/onboarding_data/index.rst.txt" rel="nofollow"> View page source</a>
      </li>
  </ul>
  <hr/>
</div>
          <div role="main" class="document" itemscope="itemscope" itemtype="http://schema.org/Article">
           <div itemprop="articleBody">
             
  <section id="onboarding-data">
<h1>Onboarding Data<a class="headerlink" href="#onboarding-data" title="Permalink to this heading">¶</a></h1>
<p><ac:placeholder>Explain what this how-to article is for. For example, you might write an article to teach people at your company how to set up a corporate email account or file an expense report.</ac:placeholder></p><section id="edge-iot-gateway">
<h2>Edge IoT Gateway<a class="headerlink" href="#edge-iot-gateway" title="Permalink to this heading">¶</a></h2>
<p><em>Data Source = Edge IoT Gateway</em></p></section>
<section id="file">
<h2>File<a class="headerlink" href="#file" title="Permalink to this heading">¶</a></h2>
<p><em>Source Sub Type = File</em></p><p>This section describes how to onboard data from CSVs and other flat files into the 4PointX IAoT Workbench. </p><p>The typical data flow is:</p><blockquote><p><span style="color: rgb(151,160,175);">File &gt; Logstash (Producer) &gt; Kafka &gt; Python (Consumer) &gt; Elasticsearch</span></p></blockquote><p>The flat files will be present in the customer’s environment usually copied to a machine which we call Edge Server. We run the Logstash in Edge Server to tail these files and continuously ingest them into the 4PointX IAoT Workbench.</p><section id="steps-to-onboard-data-from-file">
<h3>Steps to onboard data from File<a class="headerlink" href="#steps-to-onboard-data-from-file" title="Permalink to this heading">¶</a></h3>
<ol start="1"><li><p>Prepare your data as per the template. Use these <a href="https://everlytics.atlassian.net/wiki/spaces/DOCS/pages/8275320799/Onboarding+Data#Testing-Transformed-Data">steps</a> to test the transformed data for errors. Use the appropriate <a href="https://gitlab.com/everlytics/4px.config/-/tree/build/edge_producers">template</a>. Do not change the order and name of columns in the template. If your data does not have information for a particular column, leave the rows blank but do keep the column header.</p><ol start="1"><li><p>For Process, Condition or Energy data: Use <em>csv_template_process_condition_energy.csv</em></p></li><li><p>For Production data: Use <em>csv_template_production.csv</em></p></li></ol></li><li><p>Create a new Pipeline in <em>Configuration</em> &gt; <em>Data Pipelines</em> tab</p><ol start="1"><li><p>Select the <em>Type of Data</em>, <em>Site</em>, <em>Plant</em> and <em>Function</em></p></li><li><p>Select <em>Data Source</em> as ‘Edge IoT Gateway’ and <em>Source Sub Type</em> as ‘File’</p></li><li><p>Make note of the <em>pipeline_id</em>. We need it in step <em>3.iii</em> below. We will be adding pipeline_id to <em>All Pipelines</em> table soon. For now, get it from <em>Discover</em> or <em>Dev Tools</em></p></li></ol></li><li><p>Start the Logstash producer in the Edge Server</p><ol start="1"><li><p><a href="https://everlytics6.atlassian.net/wiki/spaces/DOCS/pages/3219284363/Onboarding+Data#Installing-Logstash">Install Logstash</a> if it is not installed already</p></li><li><p>Use the appropriate <a href="https://gitlab.com/everlytics/4px.config/-/tree/build/edge_producers">.conf template</a> and change the following settings inside the template</p><ol start="1"><li><p><em>path:</em> absolute path to the folder where flat files prepared in step 1 are stored (e.g., /home/4px/plant/function/condition_data/*.csv)</p></li><li><p><em>sincedb_path:</em> absolute path to the file that receives the runtime logs (e.g., /home/4px/plant/function/condition_data/pipeline.log)</p></li><li><p><em>topic_id:</em> pipeline_id</p></li><li><p><em>bootstrap_servers:</em> the IP of kafka-broker</p></li></ol></li><li><p>Start the Logstash producer using the following shell command:</p><ac:structured-macro ac:macro-id="ce846f68-a087-434a-912c-9a29f0b12aaf" ac:name="code" ac:schema-version="1"><ac:plain-text-body><![CDATA[sudo /usr/share/logstash/bin/logstash -r -f <path_to_.conf_file>]]></ac:plain-text-body></ac:structured-macro></li></ol></li><li><p>Come back to <em>Configuration</em> &gt; <em>Data Pipelines</em> tab and start the Pipeline that was created in step 2</p></li><li><p>You can confirm whether the data is flowing by checking the <em>Total Events</em> and <em>Last Event</em> columns in <em>All Pipelines</em> table. You can also confirm in the Discover by filtering for the required <em>pipeline_id</em>.</p></li></ol></section>
<section id="installing-logstash">
<h3>Installing Logstash<a class="headerlink" href="#installing-logstash" title="Permalink to this heading">¶</a></h3>
<section id="centos">
<h4>CentOS<a class="headerlink" href="#centos" title="Permalink to this heading">¶</a></h4>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>sudo<span class="w"> </span>yum<span class="w"> </span>install<span class="w"> </span>java
</pre></div>
</div>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>sudp rpm --import https://artifacts.elastic.co/GPG-KEY-elasticsearch
</pre></div>
</div>
<div class="highlight-bash notranslate"><div class="highlight"><pre><span></span>sudo<span class="w"> </span>tee<span class="w"> </span>/etc/yum.repos.d/elasticsearch.repo<span class="w"> </span><span class="s">&lt;&lt;EOF</span>
<span class="s">[elasticsearch-7.x]</span>
<span class="s">name=Elasticsearch repository for 7.x packages</span>
<span class="s">baseurl=https://artifacts.elastic.co/packages/7.x/yum</span>
<span class="s">gpgcheck=1</span>
<span class="s">gpgkey=https://artifacts.elastic.co/GPG-KEY-elasticsearch</span>
<span class="s">enabled=1</span>
<span class="s">autorefresh=1</span>
<span class="s">type=rpm-md</span>
<span class="s">EOF</span>
</pre></div>
</div>
<div class="highlight-text notranslate"><div class="highlight"><pre><span></span>sudo yum install --assumeyes logstash
</pre></div>
</div>
</section>
</section>
<section id="testing-transformed-data">
<h3>Testing Transformed Data<a class="headerlink" href="#testing-transformed-data" title="Permalink to this heading">¶</a></h3>
<p>Once you prepare the data in the required template format, use the following steps to make sure it doesn’t contain any gaps or errors.</p><ol start="1"><li><p>The columns should be arranged according to the data_type template attached below.</p></li><li><p>the event_timestamp column should be in this format: </p><ac:structured-macro ac:macro-id="6843ef95-fc53-44aa-b4ae-a4a423d950fd" ac:name="code" ac:schema-version="1"><ac:parameter ac:name="language">none</ac:parameter><ac:plain-text-body><![CDATA[%d/%m/%Y %H:%M<p>d: day
m: month
Y: year
H: hour
M: minute</p>
<p>Example: 20/05/2022 14:21]]&gt;&lt;/ac:plain-text-body&gt;&lt;/ac:structured-macro&gt;&lt;/li&gt;&lt;li&gt;&lt;p&gt;Ensure that there are no NaN (null) values in event_timestamp, tag__name and device_identifier columns.&lt;/p&gt;&lt;/li&gt;&lt;/ol&gt;</p>
<a href='/_static/media/csv_template_production.csv' class='media-group'><div class='image-preview'><svg width="24" height="24" viewBox="0 0 24 24" role="presentation"><path fill="#758195" fill-rule="evenodd" d="M12 4H8a2 2 0 00-2 2v12a2 2 0 002 2h8a2 2 0 002-2v-6.995h-2V18H8V6h4v2a2 2 0 002 2h3.5a.5.5 0 00.5-.5V8.213a.5.5 0 00-.145-.352L14.61 4.59A2 2 0 0013.19 4H12zM3 0h18a3 3 0 013 3v18a3 3 0 01-3 3H3a3 3 0 01-3-3V3a3 3 0 013-3z"></path></svg></div><div class='filename'>csv_template_production.csv</div></a></section>
</section>
<section id="opc-ua">
<h2>OPC-UA<a class="headerlink" href="#opc-ua" title="Permalink to this heading">¶</a></h2>
<p><em>Source Sub Type = OPC-UA</em></p><p><span style="color: rgb(151,160,175);">OPC Server &gt; Python (Producer) &gt; Kafka &gt; Python (Consumer) &gt; Elasticsearch</span></p><p>The following systems/ software can be onboarded using OPC-UA: </p><ol start="1"><li><p>Historians (provided OPC-UA Server license is installed)</p></li><li><p>KepServer :question_mark:</p></li></ol><p><ac:placeholder>Create a step-by-step guide:</ac:placeholder></p><ol start="1"><li><p><ac:placeholder>Add steps that are simple and self-contained</ac:placeholder></p></li><li><p><ac:placeholder>Add illustrations to instructions by typing /image</ac:placeholder></p></li></ol></section>
<section id="modbus-rtu">
<h2>Modbus RTU<a class="headerlink" href="#modbus-rtu" title="Permalink to this heading">¶</a></h2>
</section>
<section id="modbus-tcp">
<h2>Modbus TCP<a class="headerlink" href="#modbus-tcp" title="Permalink to this heading">¶</a></h2>
<p><span style="color: rgb(151,160,175);">Node-Red &gt; MQTT &gt; Kafka &gt; ES</span></p><p><ac:placeholder>Create a step-by-step guide:</ac:placeholder></p><ol start="1"><li><p><ac:placeholder>Add steps that are simple and self-contained</ac:placeholder></p></li><li><p><ac:placeholder>Add illustrations to instructions by typing /image</ac:placeholder></p></li><li><p><ac:placeholder>Stick to 3-5 steps per task to avoid overloading readers</ac:placeholder></p></li></ol></section>
<section id="analog">
<h2>Analog<a class="headerlink" href="#analog" title="Permalink to this heading">¶</a></h2>
</section>
<section id="third-party-apps">
<h2>Third-Party Apps<a class="headerlink" href="#third-party-apps" title="Permalink to this heading">¶</a></h2>
</section>
<section id="infinite-uptime">
<h2>Infinite Uptime<a class="headerlink" href="#infinite-uptime" title="Permalink to this heading">¶</a></h2>
<p>…</p></section>
<section id="cimcon-digital">
<h2>CimCon Digital<a class="headerlink" href="#cimcon-digital" title="Permalink to this heading">¶</a></h2>
<p>…</p></section>
<section id="cloud">
<h2>Cloud<a class="headerlink" href="#cloud" title="Permalink to this heading">¶</a></h2>
</section>
<section id="aws-s3">
<h2>AWS S3<a class="headerlink" href="#aws-s3" title="Permalink to this heading">¶</a></h2>
<p>…</p></section>
<section id="google-cloud-storage">
<h2>Google Cloud Storage<a class="headerlink" href="#google-cloud-storage" title="Permalink to this heading">¶</a></h2>
<p>…</p></section>
<section id="azure-data-lake">
<h2>Azure Data Lake<a class="headerlink" href="#azure-data-lake" title="Permalink to this heading">¶</a></h2>
<p>…</p></section>
<section id="related-articles">
<h2>Related articles<a class="headerlink" href="#related-articles" title="Permalink to this heading">¶</a></h2>
<p><ac:placeholder>The content by label feature displays related articles automatically, based on labels you choose. To edit options for this feature, select the placeholder below and tap the pencil icon.</ac:placeholder></p><div class="toctree-wrapper compound">
</div>
</section>
</section>


           </div>
          </div>
          <footer><div class="rst-footer-buttons" role="navigation" aria-label="Footer">
        <a href="../index.html" class="btn btn-neutral float-left" title="Data Pipelines" accesskey="p" rel="prev"><span class="fa fa-arrow-circle-left" aria-hidden="true"></span> Previous</a>
        <a href="../../../alerting/index.html" class="btn btn-neutral float-right" title="Alerting" accesskey="n" rel="next">Next <span class="fa fa-arrow-circle-right" aria-hidden="true"></span></a>
    </div>

  <hr/>

  <div role="contentinfo">
    <p>&#169; Copyright 2023, 4PointX.</p>
  </div>

  Built with <a href="https://www.sphinx-doc.org/">Sphinx</a> using a
    <a href="https://github.com/readthedocs/sphinx_rtd_theme">theme</a>
    provided by <a href="https://readthedocs.org">Read the Docs</a>.
   

</footer>
        </div>
      </div>
    </section>
  </div>
  <script>
      jQuery(function () {
          SphinxRtdTheme.Navigation.enable(true);
      });
  </script> 

</body>
</html>